Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1059709 - [abrt] x2goclient: SshMasterConnection::~SshMasterConnection(): x2goclient killed by SIGABRT [NEEDINFO]
Summary: [abrt] x2goclient: SshMasterConnection::~SshMasterConnection(): x2goclient ki...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: x2goclient
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:ae16c80b524e03a935538b822a8...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-30 12:54 UTC by Neal Becker
Modified: 2015-06-30 00:53 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-30 00:53:01 UTC
orion: needinfo? (ndbecker2)


Attachments (Terms of Use)
File: backtrace (deleted)
2014-01-30 12:54 UTC, Neal Becker
no flags Details
File: cgroup (deleted)
2014-01-30 12:54 UTC, Neal Becker
no flags Details
File: core_backtrace (deleted)
2014-01-30 12:54 UTC, Neal Becker
no flags Details
File: dso_list (deleted)
2014-01-30 12:54 UTC, Neal Becker
no flags Details
File: environ (deleted)
2014-01-30 12:54 UTC, Neal Becker
no flags Details
File: limits (deleted)
2014-01-30 12:54 UTC, Neal Becker
no flags Details
File: maps (deleted)
2014-01-30 12:54 UTC, Neal Becker
no flags Details
File: open_fds (deleted)
2014-01-30 12:54 UTC, Neal Becker
no flags Details
File: proc_pid_status (deleted)
2014-01-30 12:54 UTC, Neal Becker
no flags Details
File: var_log_messages (deleted)
2014-01-30 12:54 UTC, Neal Becker
no flags Details

Description Neal Becker 2014-01-30 12:54:16 UTC
Description of problem:
disconnect/sleep then reconnect/wake

Version-Release number of selected component:
x2goclient-4.0.1.3-2.fc20

Additional info:
reporter:       libreport-2.1.11
backtrace_rating: 4
cmdline:        /usr/bin/x2goclient
crash_function: SshMasterConnection::~SshMasterConnection
executable:     /usr/bin/x2goclient
kernel:         3.12.8-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #5 SshMasterConnection::~SshMasterConnection at ../sshmasterconnection.cpp:679
 #7 QObjectPrivate::deleteChildren at kernel/qobject.cpp:1907
 #8 QObject::~QObject at kernel/qobject.cpp:926
 #9 SshMasterConnection::~SshMasterConnection at ../sshmasterconnection.cpp:702
 #10 ONMainWindow::slotProxyFinished at ../onmainwindow.cpp:5599
 #11 ONMainWindow::qt_static_metacall at moc_onmainwindow.cpp:394
 #12 QMetaObject::activate at kernel/qobject.cpp:3547
 #13 QProcess::finished at .moc/release-shared/moc_qprocess.cpp:155
 #14 QProcessPrivate::_q_processDied at io/qprocess.cpp:1068
 #15 QProcess::qt_static_metacall at .moc/release-shared/moc_qprocess.cpp:91

Comment 1 Neal Becker 2014-01-30 12:54:25 UTC
Created attachment 857453 [details]
File: backtrace

Comment 2 Neal Becker 2014-01-30 12:54:26 UTC
Created attachment 857454 [details]
File: cgroup

Comment 3 Neal Becker 2014-01-30 12:54:27 UTC
Created attachment 857455 [details]
File: core_backtrace

Comment 4 Neal Becker 2014-01-30 12:54:29 UTC
Created attachment 857456 [details]
File: dso_list

Comment 5 Neal Becker 2014-01-30 12:54:31 UTC
Created attachment 857457 [details]
File: environ

Comment 6 Neal Becker 2014-01-30 12:54:32 UTC
Created attachment 857458 [details]
File: limits

Comment 7 Neal Becker 2014-01-30 12:54:34 UTC
Created attachment 857459 [details]
File: maps

Comment 8 Neal Becker 2014-01-30 12:54:35 UTC
Created attachment 857460 [details]
File: open_fds

Comment 9 Neal Becker 2014-01-30 12:54:37 UTC
Created attachment 857461 [details]
File: proc_pid_status

Comment 10 Neal Becker 2014-01-30 12:54:38 UTC
Created attachment 857462 [details]
File: var_log_messages

Comment 11 Orion Poplawski 2014-01-30 15:52:39 UTC
Does this happen every time?  A valgrind report might be useful.

Comment 12 Neal Becker 2014-01-30 18:48:47 UTC
I don't think it happens every time - but I don't know if I always reproduce the exact stimulus.

I use x2go every day, and usually go through a similar sequence of operations when travelling work->home->work - but there could be subtle differences.

Comment 13 Orion Poplawski 2014-10-24 04:25:39 UTC
Please retest with https://admin.fedoraproject.org/updates/x2goclient-4.0.3.0-1.fc20

Comment 14 Fedora End Of Life 2015-05-29 10:44:46 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2015-06-30 00:53:01 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.